import { TermsStrategyInterface } from './TermsStrategy.interface';
import { ConfigTermsRedirect } from './Terms.types';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class TermsRedirect implements TermsStrategyInterface {
    private router;
    private config;
    constructor(router: Router);
    setConfig(config: ConfigTermsRedirect): void;
    open(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TermsRedirect, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TermsRedirect>;
}
